Subject: Re: [PATCH net-next] nfc: nci: fix possible NULL pointer dereference in send_acknowledge()

From: Simon Horman <[email-masked]>
Date: Mon, 16 Oct 2023 13:28:19 +0200

On Fri, Oct 13, 2023 at 08:41:29PM +0200, Krzysztof Kozlowski wrote:
> Handle memory allocation failure from nci_skb_alloc() (calling
> alloc_skb()) to avoid possible NULL pointer dereference.
> 
> Reported-by: 黄思聪 <[email-masked]>
> Fixes: 391d8a2da787 ("NFC: Add NCI over SPI receive")
> Cc: <[email-masked]>
> Signed-off-by: Krzysztof Kozlowski <[email-masked]>

Thanks,

I agree that nci_skb_alloc() may turn NULL and that this
is an appropriate way to handle that.

As an aside, I observe that the return value of send_acknowledge()
is not checked. But I don't think that affects the correctness of this
change.

Reviewed-by: Simon Horman <[email-masked]>